Bug 250884 - [RFE] Allow s-c-n to override domain-name (15) DHCP option
Summary: [RFE] Allow s-c-n to override domain-name (15) DHCP option
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-04 10:05 UTC by Noa Resare
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 11:59:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Noa Resare 2007-08-04 10:05:09 UTC
Description of problem:

I would like to use system-config-network to add a domain to the dns search path
via the DNS tab. As expected /etc/resolv.conf gets modified when I use the GUI
to add a value to the "DNS search path" field and select File -> Save and works
right away.

However, when i restart my network /etc/resolv.conf gets overwritten by the dhcp
configuration script (at least the file states "generated by
/sbin/dhclient-script" on the first line and my search path data is gone.

Version-Release number of selected component (if applicable):
system-config-network-1.3.96-1.fc6
dhclient-3.0.5-38.fc7

How reproducible:
always

Steps to Reproduce:
0. You need to configure your network card to get ip config from DHCP
1. 'ping evert' in a terminal should give you "ping: unknown host evert"
2. start system-config-network choose the DNS tab, and enter 'resare.com' in the
'DNS search path:' field.
3. choose File -> Save
4. 'ping evert' in a terminal should give you "PING evert.resare.com
(193.12.139.65)..."
5. '/sbin/service network restart'
6. run 'ping evert' in a teriminal

Actual results:
"ping: unknown host evert"

Expected results:
PING evert.resare.com (193.12.139.65) 56(84) bytes of data.
...

Additional info:

Comment 1 Ignacio Vazquez-Abrams 2007-08-04 10:14:15 UTC
Is DHCP option 15 set in the DHCP server? (option domain-name for ISC DHCPD, -s
or --domain command-line arguments or domain config option for dnsmasq)

Comment 2 Noa Resare 2007-08-04 11:31:54 UTC
It seems like that. The DHCP server is an integrated NAT/Firewall/Wireless appliance from D-Link that also 
answers name server queries. To the best of my knowledge the name server search path i not configurable 
in the user interface of the appliance, so being able to supply that information with system-config-
network seems like a reasonable ting IMHO

Comment 3 Ignacio Vazquez-Abrams 2007-08-04 22:04:22 UTC
It can be done via /etc/dhclient.conf, but it would be nice to manage it in a
centralized location.


Note You need to log in before you can comment on or make changes to this bug.